package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileExternalNetworkModel;

import java.util.List;

public interface ExternalNetworkProvider extends SuperProvider {
    default BocloudResult<List<AgileExternalNetworkModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalNetworkModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}
